Package org.eclipse.swt.browser

# Class LocationEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.browser.LocationEvent

All Implemented Interfaces:
  `Serializable`

public class LocationEvent extends TypedEvent
A `LocationEvent` is sent by a `Browser` to `LocationListener`'s when the `Browser` navigates to a different URL. This notification typically occurs when the application navigates to a new location with `Browser.setUrl(String)` or when the user activates a hyperlink.

Since:
  3.0
See Also:
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`doit`
A flag indicating whether the location loading should be allowed.
`String`
`location`
The URL of this event, escaped and encoded for consumption by `URI(String)`.
`boolean`
`top`
A flag indicating whether the location opens in the top frame or not.

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`LocationEvent(Widget widget)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public String location
The URL of this event, escaped and encoded for consumption by `URI(String)`.

### top

public boolean top
A flag indicating whether the location opens in the top frame or not.

### doit

public boolean doit
A flag indicating whether the location loading should be allowed. Setting this field to `false` will cancel the operation.

## Constructor Details

### LocationEvent

public LocationEvent(Widget widget)
Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event
Since:
  3.5

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event